<?php
session_start();
if(isset($_SESSION["ruc_empresa"]) && trim($_SESSION["ruc_empresa"])!=""){
include("../cn/config".$_SESSION["ruc_empresa"].".php");
}else{
include("../cn/config.php");
}
include('../nusoap/nusoap.php');
$archivo=$_SESSION["generar_documento"];
if(substr($archivo, -3)=="xml"){
$ext_doc="FirmaXML";
}else{
$ext_doc="PdfXML";
}
$client = new nusoap_client($ruta_ws,true);
$err  = $client->getError();
if ($err) {
/* echo '<h2>Constructor error</h2><pre>' . $err . '</pre>';*/
$_SESSION["archivo_vacio"]=1;
if(trim($_SESSION["usuariofe"])==""){
	echo "<script>location.href='../index.php';</script>";
}else{
	echo "<script>location.href='../inicio.php';</script>";
}
}

if(isset($sin_sql) && $sin_sql==1){
	$param = array("ext_doc"=>$ext_doc,"filename"=>$archivo,"ruc"=>$ruccia_web);
$result = $client->call('sp_webfe_GetFile',$param);
}else{
$param = array("ext_doc"=>$ext_doc,"filename"=>$archivo);
$result = $client->call('GetFile',$param);
}

 $i=0;
if ($client->fault) {
/*echo $client->getError();*/
$_SESSION["archivo_vacio"]=1;
if(trim($_SESSION["usuariofe"])==""){
	echo "<script>location.href='../index.php';</script>";
}else{
	echo "<script>location.href='../inicio.php';</script>";
}
die(); 
} else { 
$err = $client->getError();

if ($err) {
/*echo 'Error:' . $err; 
die(); */
$_SESSION["archivo_vacio"]=1;
if(trim($_SESSION["usuariofe"])==""){
	echo "<script>location.href='../index.php';</script>";
}else{
	echo "<script>location.href='../inicio.php';</script>";
}
} 
}
/*header('Content-type: application/pdf');
header('Content-Disposition: attachment; filename="service.pdf"');
echo base64_decode($result["GetFileResult"]);*/
if(isset($sin_sql) && $sin_sql==1){
	file_put_contents($archivo, base64_decode($result["sp_webfe_GetFileResult"]));
header("Content-type: application/octet-stream");
    header("Content-Disposition: attachment; filename=\"$archivo\"\n");
    $fp=fopen($archivo, "r");
    fpassthru($fp);
	fclose($fp);
unlink($archivo);
	}else{
		file_put_contents($archivo, base64_decode($result["GetFileResult"]));
header("Content-type: application/octet-stream");
    header("Content-Disposition: attachment; filename=\"$archivo\"\n");
    $fp=fopen($archivo, "r");
    fpassthru($fp);
	fclose($fp);
unlink($archivo);
	}

?>